#Id: Makefile,v 1.4 2005/04/04 22:58:08 jfroche Exp $'
CFLAGS= -Wall -g -ansi
CPP= g++
GCC= gcc
TESTINCLUDES=-lcppunit -ldl
all : test
test : test.o neuroneTest.o coucheTest.o synapseTest.o synapseMatrixTest.o inputCoucheTest.o reseauTest.o ../couche.o ../neurone.o ../synapse.o ../synapseMatrix.o ../inputCouche.o ../Utils.o ../reseau.o ../outputCouche.o ../hiddenCouche.o
	$(CPP) $(CFLAGS) $(TESTINCLUDES) -o test test.o neuroneTest.o coucheTest.o synapseTest.o inputCoucheTest.o  synapseMatrixTest.o reseauTest.o ../synapse.o  ../neurone.o ../couche.o ../synapseMatrix.o ../inputCouche.o ../Utils.o ../reseau.o ../outputCouche.o ../hiddenCouche.o
neuroneTest.o : neuroneTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c neuroneTest.cpp
coucheTest.o : coucheTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c coucheTest.cpp
inputCoucheTest.o : inputCoucheTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c inputCoucheTest.cpp
synapseTest.o : synapseTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c synapseTest.cpp
synapseMatrixTest.o : synapseMatrixTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c synapseMatrixTest.cpp
reseauTest.o : reseauTest.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c reseauTest.cpp
test.o : test.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c test.cpp
clean : 
	rm -f test test.o neuroneTest.o coucheTest.o synapseTest.o synapseMatrixTest.o
cleano : 
	rm -f *.o
